Skip to main content
GET
/
api
/
v1
/
alerts
/
fixes
cURL
curl --request GET \
  --url https://api.staging.qyl.dev/api/v1/alerts/fixes
{
  "items": [
    {
      "id": "<string>",
      "issue_id": "<string>",
      "trigger_type": "alert",
      "strategy": "<string>",
      "status": "pending",
      "created_at": "2023-11-07T05:31:56Z",
      "alert_firing_id": "<string>",
      "model_name": "<string>",
      "model_provider": "<string>",
      "error_message": "<string>",
      "tokens_used": 123,
      "duration_ms": 123,
      "started_at": "2023-11-07T05:31:56Z",
      "completed_at": "2023-11-07T05:31:56Z"
    }
  ],
  "has_more": true,
  "next_cursor": "<string>",
  "prev_cursor": "<string>"
}

Query Parameters

issueId
string

Issue ID filter

status
enum<string>

Status filter Fix run status

Available options:
pending,
running,
awaiting_approval,
applied,
rejected,
failed
limit
integer<int32>
default:20

Page size

Required range: 1 <= x <= 100
cursor
string

Cursor

Response

The request has succeeded.

Cursor-based paginated response wrapper

items
object[]
required

List of items in this page

has_more
boolean
required

Whether there are more items available

next_cursor
string

Cursor for the next page (null if no more pages)

prev_cursor
string

Cursor for the previous page (null if first page)